Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## it.svimservice.nsisr.web.ws.dipendentessr.vo.elencodipendentiperstruttura
Class ElencoDipendentiPerStrutturaRequest

    java.lang.Object
      it.svimservice.nsisr.web.ws.dipendentessr.vo.elencodipendentiperstruttura.ElencoDipendentiPerStrutturaRequest

    public class ElencoDipendentiPerStrutturaRequest

extends java.lang.Object

Filtri di ricerca dei dipendenti per il servizio getElencoDipendentiPerStruttura. La ricerca verrą eseguita per istituto di ricovero(obbligatorio), reparto/servizio (obbligatorio), ruolo (opzionale), profilo professionale (opzionale), posizione funzionale (opzionale), qualifica (opzionale).

Field Summary
`private java.lang.String` | `codIstituto` Istituto di ricovero.
`private java.lang.String` | `codRuolo` Tipologia di ruolo associato al dipendente SSR.
`private java.lang.String` | `codUnitaOperativa` Codice unita` operativa.
`private java.lang.String` | `posizioneFunzionale` Tipologia di incarico per la dirigenza riconosciuta dalla normativa e dai contratti collettivi.
`private java.lang.String` | `profiloProfessionale` Profilo professionale riconosciuto dalla normativa e dai contratti collettivi di lavoro.
`private java.lang.String` | `progStabilimento` Progressivo stabilimento.
`private java.lang.String` | `qualifica` Qualifica riconosciuta dalla normativa e dai contratti collettivi.

Constructor Summary
`ElencoDipendentiPerStrutturaRequest()`

Method Summary
`java.lang.String` | `getCodIstituto()`
`java.lang.String` | `getCodRuolo()`
`java.lang.String` | `getCodUnitaOperativa()`
`java.lang.String` | `getPosizioneFunzionale()`
`java.lang.String` | `getProfiloProfessionale()`
`java.lang.String` | `getProgStabilimento()`
`java.lang.String` | `getQualifica()`
`void` | `setCodIstituto(java.lang.String codIstituto)`
`void` | `setCodRuolo(java.lang.String codRuolo)`
`void` | `setCodUnitaOperativa(java.lang.String codUnitaOperativa)`
`void` | `setPosizioneFunzionale(java.lang.String posizioneFunzionale)`
`void` | `setProfiloProfessionale(java.lang.String profiloProfessionale)`
`void` | `setProgStabilimento(java.lang.String progStabilimento)`
`void` | `setQualifica(java.lang.String qualifica)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### codIstituto

    @Facets(pattern="[0-9]+",
            length=6L)
    private java.lang.String codIstituto

  Istituto di ricovero. Obbligatorio.

### progStabilimento

    @Facets(pattern="[0-9]+",
            length=2L)
    private java.lang.String progStabilimento

  Progressivo stabilimento. Necessaria per identificare il reparto/servizio. Obbligatoria.

### codUnitaOperativa

    @Facets(pattern="[a-zA-Z0-9]+",
            length=2L)
    private java.lang.String codUnitaOperativa

  Codice unita` operativa. Necessaria per identificare il reparto/servizio. Obbligatoria.

### codRuolo

    @Facets(pattern="[0-9]*",
            maxLength=4L)
    @MinOccurs(value=0L)
    private java.lang.String codRuolo

  Tipologia di ruolo associato al dipendente SSR. Opzionale.

### profiloProfessionale

    @Facets(pattern="[a-zA-Z0-9]*",
            maxLength=3L)
    @MinOccurs(value=0L)
    private java.lang.String profiloProfessionale

  Profilo professionale riconosciuto dalla normativa e dai contratti collettivi di lavoro. Opzionale.

### posizioneFunzionale

    @Facets(pattern="[0-9]*",
            maxLength=3L)
    @MinOccurs(value=0L)
    private java.lang.String posizioneFunzionale

  Tipologia di incarico per la dirigenza riconosciuta dalla normativa e dai contratti collettivi. Opzionale. In alternativa alla qualifica.

### qualifica

    @Facets(pattern="[0-9]*",
            maxLength=3L)
    @MinOccurs(value=0L)
    private java.lang.String qualifica

  Qualifica riconosciuta dalla normativa e dai contratti collettivi. Opzionale. In alternativa alla posizione funzionale.

Constructor Detail

### ElencoDipendentiPerStrutturaRequest

    public ElencoDipendentiPerStrutturaRequest()

Method Detail

### getCodIstituto

    public java.lang.String getCodIstituto()

### setCodIstituto

    public void setCodIstituto(java.lang.String codIstituto)

### getProgStabilimento

    public java.lang.String getProgStabilimento()

### setProgStabilimento

    public void setProgStabilimento(java.lang.String progStabilimento)

### getCodUnitaOperativa

    public java.lang.String getCodUnitaOperativa()

### setCodUnitaOperativa

    public void setCodUnitaOperativa(java.lang.String codUnitaOperativa)

### getCodRuolo

    public java.lang.String getCodRuolo()

### setCodRuolo

    public void setCodRuolo(java.lang.String codRuolo)

### getProfiloProfessionale

    public java.lang.String getProfiloProfessionale()

### setProfiloProfessionale

    public void setProfiloProfessionale(java.lang.String profiloProfessionale)

### getPosizioneFunzionale

    public java.lang.String getPosizioneFunzionale()

### setPosizioneFunzionale

    public void setPosizioneFunzionale(java.lang.String posizioneFunzionale)

### getQualifica

    public java.lang.String getQualifica()

### setQualifica

    public void setQualifica(java.lang.String qualifica)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD